gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r31035 - gnunet/src/namestore


From: gnunet
Subject: [GNUnet-SVN] r31035 - gnunet/src/namestore
Date: Wed, 4 Dec 2013 13:37:04 +0100

Author: LRN
Date: 2013-12-04 13:37:04 +0100 (Wed, 04 Dec 2013)
New Revision: 31035

Modified:
   gnunet/src/namestore/test_namestore_delete.sh
   gnunet/src/namestore/test_namestore_lookup.sh
   gnunet/src/namestore/test_namestore_put.sh
Log:
Skip gnunet-config-dependent tests when gnunet-config is missing

Modified: gnunet/src/namestore/test_namestore_delete.sh
===================================================================
--- gnunet/src/namestore/test_namestore_delete.sh       2013-12-04 10:48:17 UTC 
(rev 31034)
+++ gnunet/src/namestore/test_namestore_delete.sh       2013-12-04 12:37:04 UTC 
(rev 31035)
@@ -5,11 +5,16 @@
 LOCATION=$(which gnunet-config)
 if [ -z $LOCATION ]
 then
+  LOCATION="gnunet-config"
+fi
+$LOCATION --version
+if test $? != 0
+then
        echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
-       exit 1
+       exit 77
 fi
 
-rm -rf `gnunet-config -c $CONFIGURATION -s PATHS -o GNUNET_HOME`
+rm -rf `$LOCATION -c $CONFIGURATION -s PATHS -o GNUNET_HOME`
 TEST_DOMAIN_PLUS="www.gnu"
 TEST_DOMAIN_DNS="www3.gnu"
 TEST_IP_PLUS="127.0.0.1"

Modified: gnunet/src/namestore/test_namestore_lookup.sh
===================================================================
--- gnunet/src/namestore/test_namestore_lookup.sh       2013-12-04 10:48:17 UTC 
(rev 31034)
+++ gnunet/src/namestore/test_namestore_lookup.sh       2013-12-04 12:37:04 UTC 
(rev 31035)
@@ -5,11 +5,16 @@
 LOCATION=$(which gnunet-config)
 if [ -z $LOCATION ]
 then
+  LOCATION="gnunet-config"
+fi
+$LOCATION --version
+if test $? != 0
+then
        echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
-       exit 1
+       exit 77
 fi
 
-rm -rf `gnunet-config -c $CONFIGURATION -s PATHS -o GNUNET_HOME`
+rm -rf `$LOCATION -c $CONFIGURATION -s PATHS -o GNUNET_HOME`
 TEST_IP_PLUS="127.0.0.1"
 TEST_RECORD_NAME_DNS="www3"
 which timeout &> /dev/null && DO_TIMEOUT="timeout 5"

Modified: gnunet/src/namestore/test_namestore_put.sh
===================================================================
--- gnunet/src/namestore/test_namestore_put.sh  2013-12-04 10:48:17 UTC (rev 
31034)
+++ gnunet/src/namestore/test_namestore_put.sh  2013-12-04 12:37:04 UTC (rev 
31035)
@@ -5,11 +5,16 @@
 LOCATION=$(which gnunet-config)
 if [ -z $LOCATION ]
 then
+  LOCATION="gnunet-config"
+fi
+$LOCATION --version
+if test $? != 0
+then
        echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
-       exit 1
+       exit 77
 fi
 
-rm -rf `gnunet-config -c $CONFIGURATION -s PATHS -o GNUNET_HOME`
+rm -rf `$LOCATION -c $CONFIGURATION -s PATHS -o GNUNET_HOME`
 TEST_DOMAIN_PLUS="www.gnu"
 TEST_DOMAIN_DNS="www3.gnu"
 TEST_IP_PLUS="127.0.0.1"




reply via email to

[Prev in Thread] Current Thread [Next in Thread]